Subject: Re: Running "make rpm" fails on a CentOS 6.3 machine

From: Junio C Hamano <[email-masked]>
Date: Mon, 03 Feb 2014 10:08:04 -0800

Todd Zullinger <[email-masked]> writes:

> I know the Fedora/EPEL spec file and what's in git.git have grown
> apart a good bit, unfortunately.  That's the cost of having a spec
> file that is meant to work across a very wide array of RPM-based
> systems, I guess.  The Fedora/EPEL spec file is fairly specific to the
> Fedora/EPEL build tools (mock is the primary build tool).

Hmph.

Once it gets to the point where our "spec" file is so out of sync
with anybody's RPM based distribution in the real world, I suspect
that removing and not shipping it in tree might be more helpful to
the users.  Or at least have a set of pointers, one for each major
RPM based distribution, where to obtain spec file more tailored for
their platform, at the beginning of it, or something.

Have we already reached that point?  Does anybody still use it?